Update redirect rules
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"offset": 3,
"key": "domain",
"order": "ascend",
"search_query": "Search...",
"regex_search": "true",
"rules_to_update": [
{
"domain": "kinqsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashvile, United States"
}
]
}
'{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}WordPress Site Environments
Update redirect rules
POST
/
sites
/
environments
/
{env_id}
/
redirect-rules
Update redirect rules
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"offset": 3,
"key": "domain",
"order": "ascend",
"search_query": "Search...",
"regex_search": "true",
"rules_to_update": [
{
"domain": "kinqsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashvile, United States"
}
]
}
'{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
Available options:
DELETE, DELETE_ALL, NEW, UPDATE Example:
10
Example:
3
Available options:
domain, from, to, type Example:
"domain"
Available options:
ascend, descend Example:
"ascend"
Example:
"Search..."
Available options:
true, false Example:
"true"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successfully updated redirect rules
⌘I